User Management
Base URL: https://api.covasoft.net/usermanager
Endpoints
Users
| Name | Endpoint |
|---|---|
| List Users | GET v2/entities({CompanyId})/users |
| List Users by Security Role | GET v2/entities({CompanyId})/securityRoles({SecurityRoleId})/users |
| Get User | GET v1/users({UserId}) |
| Create User | POST v1/users |
| Update User | PUT v1/users({UserId}) |
| List User Locations | GET v1/users({UserId})/locations |
| Count Users | GET v1/entities({CompanyId})/users/getCount |
| Assign User to Location | PUT v1/users({UserId})/locations({LocationId}) |
| Unassign User from Location | DELETE v1/users({UserId})/locations({LocationId}) |
Access Management
| Name | Endpoint |
|---|---|
| Set Temporary Password | POST v1/users({UserId})/temporaryPassword |
| Change Password | POST v1/users({UserId})/changePassword |
| Set Permanent Password | PUT v1/users({UserId})/password |
| List Lock Reasons | GET v1/Entities({CompanyId})/lockReasons |
| Get Lock Reason | GET v1/Entities({CompanyId})/lockReasons({LockReasonId}) |
| Lock User | POST v1/users({UserId})/lock |
| Unlock User | POST v1/users({UserId})/unlock |
| Create Lock Reason | POST v1/entities({CompanyId})/lockReasons |
| Update Lock Reason | PUT v1/entities({CompanyId})/lockReasons({LockReasonId}) |
| Delete Lock Reason | DELETE v1/entities({CompanyId})/lockReasons({LockReasonId}) |
| Disable User | DELETE v1/users({UserId}) |
| Re-enable User | POST v1/users({UserId})/enable |
Security Roles
| Name | Endpoint |
|---|---|
| List Security Roles | GET v1/Entities({CompanyId})/SecurityRoles |
| List User's Security Roles | GET v1/Users({UserId})/AssignedRoles |
| List Permissions | GET v1/Entities({CompanyId})/Permissions |
| List Security Role Permissions | GET v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions |
| Create Security Role | POST v1/Entities({CompanyId})/SecurityRoles |
| Delete Security Role | DELETE v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId}) |
| Enable Security Role Permission | PUT v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions({PermissionId}) |
| Disable Security Role Permission | DELETE v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions({PermissionId}) |
| Assign Security Role to User | POST v1/Users({UserId})/AssignedRoles |
| Unassign Security Role from User | DELETE v1/Users({UserId})/AssignedRoles({SecurityRoleAssignmentId}) |
Users
List Users
GET v2/entities({CompanyId})/users
Returns All the Users in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/users?$skip=0&$top=100
Odata Filters
Optional: $filter=ClientUserId eq '{ClientUserId}'
Optional: $filter=CorrelationId eq '{CorrelationId}'
Optional: $filter=isactive eq '{IsActive}'
Optional: $filter=userName eq '{term}'
Normal Odata pagings with $top & $skip
Max $top is 100 records
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Users in a Company
GetAllUsersByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| _links | UserLinks | None. | |
| _metadata | UserMetadata | None. | |
| items | Collection of UserItem | None. |
Response Formats
application/json, text/json
{
"_links": {
"prev": "sample string 1",
"self": "sample string 2",
"next": "sample string 3"
},
"_metadata": {
"count": 1,
"skip": 1,
"top": 1
},
"items": [
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "1fe3c3a1-aa91-4164-9fcd-6e886ae460f0",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 10
},
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "1fe3c3a1-aa91-4164-9fcd-6e886ae460f0",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 10
}
]
}
Models
UserLinks
| Name | Description | Type | Additional information |
|---|---|---|---|
| prev | string | None. | |
| self | string | None. | |
| next | string | None. |
UserMetadata
| Name | Description | Type | Additional information |
|---|---|---|---|
| count | integer | None. | |
| skip | integer | None. | |
| top | integer | None. |
UserItem
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
List Users by Security Role
GET v2/entities({CompanyId})/securityRoles({SecurityRoleId})/users
Returns All the Users in a Company with a given Security Role
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v2/entities({CompanyId})/securityRoles({SecurityRoleId})/users?$skip=0&$top=100
Odata Filters
Optional: $filter=isactive eq '{IsActive}'
Normal Odata pagings with $top & $skip
Max $top is 100 records
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| SecurityRoleId | The Security Role Id for which you want Users | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Users in a Company with a given Security Role
GetAllUsersBySecurityRoleReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| _links | UserLinks | None. | |
| _metadata | UserMetadata | None. | |
| items | Collection of UserItem | None. |
Response Formats
application/json, text/json
{
"_links": {
"prev": "sample string 1",
"self": "sample string 2",
"next": "sample string 3"
},
"_metadata": {
"count": 1,
"skip": 1,
"top": 1
},
"items": [
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "9b6edd91-7b1f-4ec6-b77c-3713266831d8",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 10
},
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "9b6edd91-7b1f-4ec6-b77c-3713266831d8",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 10
}
]
}
Models
UserLinks
| Name | Description | Type | Additional information |
|---|---|---|---|
| prev | string | None. | |
| self | string | None. | |
| next | string | None. |
UserMetadata
| Name | Description | Type | Additional information |
|---|---|---|---|
| count | integer | None. | |
| skip | integer | None. | |
| top | integer | None. |
UserItem
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
Get User
GET v1/users({UserId})
Returns Details for a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Getting User Details | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Details for a User
GetUserDetailsReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "eb405c40-63ca-44fb-838b-ed8747300128",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 1
}
Models
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
Create User
POST v1/users
Creates a New User in a company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users
Example of the Body of the Call:
{ "FirstName": "John", "LastName": "Bates", "UserName": "johnb@cova.com", "Address": { "AddressLine1": "1432 Merry View Road", "AddressLine2": "", "City": "Big Windy", "StateCode": "ON", "CountryCode": "CA", "Zip": "A1A2B2" }, "Picture": { "Id": "1fa5ae34-1578-44a0-9b21-b9be14559b9f", "Href": "https://ams.blob.core.windows.net/assets/1fa5ae34-1578-44a0-9b21-b9be14559b9f.jpg", "Height": 480, "Width": 640, "Md5Checksum": "d3fc6e526f00a56c9dacd503eff5fc93", "Name": "sample.jpg", "MimeType": "image/jpeg" }, "ClientUserId": "132", "CorrelationId": "Test", "Email": "johnb@cova.com", "JobTitle": "Sales Clerk", "ParentEntityId": 94448, "PhoneNumbers": [ { "Number": "6135550127", "Extension": "5532", "Type": "Work" } ], "Version": 1 }
Request Information
URI Parameters
None.
Body Parameters
See example above
CreateNewUserPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Request Formats
application/json, text/json
{
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "13281bed-0ea9-4a00-8940-284f5b136141",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 1
}
Response Information
Resource Description
Returns the New User that was just Created
CreateNewUserReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "ea07a87a-e698-4084-82e0-22d715390e1f",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 1
}
Models
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
Update User
PUT v1/users({UserId})
Updates a User in a company
Base URL:
https://api.covasoft.net/usermanager
Use this request to update a user’s record.
Important: It is important to understand the behavior of PUT requests used to update user records.
A great many fields in the user record are optional when initially creating the record.These fields are naturally also optional in PUT requests, but the behavior in a PUT request is quite different.
In PUT requests, any fields CURRENTLY POPULATED in the user’s record MUST ALSO BE INCLUDED in the update request; otherwise, those fields are deleted from the user record.
In other words, omitting a currently populated field in a PUT request amounts to deleting that information from the user’s record.
At the same time, if you want to remove information for a specific field in a user record, you can do this using a PUT request that includes ALL the necessary information EXCEPT the field you want to delete.
Just be careful to include all information you want to retain in the record.
Note that you cannot disable a user by using a PUT request to set the IsActive property to false. If the IsActive property is included in a PUT request, it is ignored.
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})
Example of the Body of the Call:
{ "FirstName": "John", "LastName": "Bates", "UserName": "johnb@cova.com", "Address": { "AddressLine1": "1432 Merry View Road", "AddressLine2": "", "City": "Big Windy", "StateCode": "ON", "CountryCode": "CA", "Zip": "A1A2B2" }, "Picture": { "Id": "1fa5ae34-1578-44a0-9b21-b9be14559b9f", "Href": "https://ams.blob.core.windows.net/assets/1fa5ae34-1578-44a0-9b21-b9be14559b9f.jpg", "Height": 480, "Width": 640, "Md5Checksum": "d3fc6e526f00a56c9dacd503eff5fc93", "Name": "sample.jpg", "MimeType": "image/jpeg" }, "ClientUserId": "132", "CorrelationId": "Test", "Email": "johnb@cova.com", "JobTitle": "Sales Clerk", "ParentEntityId": {CompanyId}, "PhoneNumbers": [ { "Number": "6135550127", "Extension": "5532", "Type": "Work" } ], "Version": 1 }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id you want to Update | integer | Required |
Body Parameters
See example above
CreateNewUserPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Request Formats
application/json, text/json
{
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "231a593c-02a2-4b3a-8261-3dcde2033669",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 1
}
Response Information
Resource Description
Returns the New User that was just Created
CreateNewUserReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CorrelationId": "sample string 1",
"ClientUserId": "sample string 2",
"FirstName": "sample string 3",
"LastName": "sample string 4",
"UserName": "sample string 5",
"Email": "sample string 6",
"IsActive": true,
"ParentEntityId": 1,
"ParentEntityName": "sample string 8",
"Picture": {
"Id": "8c268d84-848d-4d7b-9fdf-df0a962e5668",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 9",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 1
}
Models
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
List User Locations
GET v1/users({UserId})/locations
Returns Assigned Locations for a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/locations
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Getting User Details | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Assigned Locations for a User
GetAssignedLocationsByUserReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserID | integer | None. | |
| LocationIDs | Collection of integer | None. |
Response Formats
application/json, text/json
{
"UserID": 1,
"LocationIDs": [
1,
1
]
}
Count Users
GET v1/entities({CompanyId})/users/getCount
Returns Number of Users in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/users/getCount
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Number of Users in a Company
GetNumberOfUsersReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Count | integer | None. |
Response Formats
application/json, text/json
{
"Count": 1
}
Assign User to Location
PUT v1/users({UserId})/locations({LocationId})
Assigns a User to a Location in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/locations({LocationId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Assigning a Location | integer | Required |
| LocationId | This is Location Id where you want to Assign the User | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Unassign User from Location
DELETE v1/users({UserId})/locations({LocationId})
Unassign a User to a Location in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/locations({LocationId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Assigning a Location | integer | Required |
| LocationId | This is Location Id where you want to Unassign the User | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Access Management
Set Temporary Password
POST v1/users({UserId})/temporaryPassword
Set a Temporary Password for a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/temporaryPassword
Example of the Body of the Call:
{ "Password": "TempPa55word!" }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Getting User Details | integer | Required |
Body Parameters
The Temporary Password - see example above
SetTemporaryPasswordPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| Password | string | None. |
Request Formats
application/json, text/json
{
"Password": "sample string 1"
}
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Change Password
POST v1/users({UserId})/changePassword
Password Change for a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/changePassword
Example of the Body of the Call:
{ "CurrentPassword": "TempPa55word!", "NewPassword": "n3wPa55word!" }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Getting User Details | integer | Required |
Body Parameters
The Old and New Password - see example above
UserPasswordChangePost
| Name | Description | Type | Additional information |
|---|---|---|---|
| CurrentPassword | string | None. | |
| NewPassword | string | None. |
Request Formats
application/json, text/json
{
"CurrentPassword": "sample string 1",
"NewPassword": "sample string 2"
}
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Set Permanent Password
PUT v1/users({UserId})/password
Set a Permanent Password for a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/temporaryPassword
Example of the Body of the Call:
{ "Password": "TempPa55word!" }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id used for Getting User Details | integer | Required |
Body Parameters
The Temporary Password - see example above
SetPermanentPasswordPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| Password | string | None. |
Request Formats
application/json, text/json
{
"Password": "sample string 1"
}
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
List Lock Reasons
GET v1/Entities({CompanyId})/lockReasons
Returns All the Lock Reasons for a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/lockReasons
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Lock Reasons for a Company
Collection of GetLockReasonsByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| Description | string | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3"
},
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3"
}
]
Get Lock Reason
GET v1/Entities({CompanyId})/lockReasons({LockReasonId})
Returns Lock Reason By Id
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/lockReasons({LockReasonId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LockReasonId | The Lock Reason for which you want Details | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Lock Reason By Id
GetLockReasonsByIdReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| Description | string | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3"
}
Lock User
POST v1/users({UserId})/lock
Lock A User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/lock
Example of the Body of the Call:
{ "LockReasonId": 36 }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id you want to Lock | integer | Required |
Body Parameters
The Lock Reason Id for a User - see example above
LockAUserPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| LockReasonId | integer | None. |
Request Formats
application/json, text/json
{
"LockReasonId": 1
}
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Unlock User
POST v1/users({UserId})/unlock
Unlock A User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/unlock
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id you want to Unlock | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Create Lock Reason
POST v1/entities({CompanyId})/lockReasons
Post a Lock Reason for a Company
Use this request to define a reason why a user might be locked.
The names and descriptions for lock reasons are completely configurable to accommodate your company’s business practices.
The system generates numeric identifiers in the order in which the reason is defined.
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/lockReasons
Example of the Body of the Call:
{ "Name": "FMLA", "Description": "Your account has been locked due to being on FMLA. Please contact your supervisor with any questions." }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
The Lock Reason Name and Description - see example above
PostALockReasonPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| Name | string | None. | |
| Description | string | None. |
Request Formats
application/json, text/json
{
"Name": "sample string 1",
"Description": "sample string 2"
}
Response Information
Resource Description
Created Lock Reason with Id
PostALockReasonReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| Description | string | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3"
}
Update Lock Reason
PUT v1/entities({CompanyId})/lockReasons({LockReasonId})
Update a Lock Reason for a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/lockReasons({LockReasonId})
Example of the Body of the Call:
{ "Id": 36, "Name": "FMLA", "Description": "Your account has been locked due to being on FMLA. Please contact your supervisor with any questions." }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LockReasonId | The Lock Reason for which you want to Update | integer | Required |
Body Parameters
The Lock Reason Name and Description - see example above
UpdateALockReasonPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| Description | string | None. |
Request Formats
application/json, text/json
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3"
}
Response Information
Resource Description
Updated Lock Reason with Id
UpdateALockReasonReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| Description | string | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3"
}
Delete Lock Reason
DELETE v1/entities({CompanyId})/lockReasons({LockReasonId})
Delete a Lock Reason for a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/entities({CompanyId})/lockReasons({LockReasonId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LockReasonId | The Lock Reason for which you want to Update | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Updated Lock Reason with Id
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Disable User
DELETE v1/users({UserId})
Disable a User for a Company
Use this request to disable a user completely.
Note that you cannot completely delete a user record. “Deleting” a user record disables the user, setting the IsActive property to false. (Note that this is the only way to set IsActive to false; this property cannot be set directly.) When disabled, the user will no longer be able to log on to the system and the user is not returned in searches (except searches for disabled users).
Note: Disabling a user does NOT free up the user's email address or username for use by another user.
To free up an email address or username, you must PUT an update to the user record. Use the update request to change email or username of the original user to something else.
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id you want to Disable | integer | Required |
Body Parameters
None.
Response Information
Resource Description
The Disabled User Details
DisableAUserReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CorrelationId": "sample string 2",
"ClientUserId": "sample string 3",
"FirstName": "sample string 4",
"LastName": "sample string 5",
"UserName": "sample string 6",
"Email": "sample string 7",
"IsActive": true,
"ParentEntityId": 9,
"ParentEntityName": "sample string 10",
"Picture": {
"Id": "31f57e76-af36-404f-839a-5e914766d494",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 11",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 12
}
Models
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
Re-enable User
POST v1/users({UserId})/enable
Re-Enable a User for a Company
Use this request to re-enable a user in the system, making the user active again. The IsActive property will be set to true and the user will be able to log on and obtain an access token.
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/users({UserId})/enable
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id you want to Disable | integer | Required |
Body Parameters
None.
Response Information
Resource Description
The Re-Eanbled User Details
ReEnableAUserReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CorrelationId | string | None. | |
| ClientUserId | string | None. | |
| FirstName | string | None. | |
| LastName | string | None. | |
| UserName | string | None. | |
| string | None. | ||
| IsActive | boolean | None. | |
| ParentEntityId | integer | None. | |
| ParentEntityName | string | None. | |
| Picture | UserPicture | None. | |
| Address | UserAddress | None. | |
| PhoneNumbers | Collection of UserPhoneNumber | None. | |
| JobTitle | string | None. | |
| Attributes | UserAttributes | None. | |
| Version | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CorrelationId": "sample string 2",
"ClientUserId": "sample string 3",
"FirstName": "sample string 4",
"LastName": "sample string 5",
"UserName": "sample string 6",
"Email": "sample string 7",
"IsActive": true,
"ParentEntityId": 9,
"ParentEntityName": "sample string 10",
"Picture": {
"Id": "8085f384-831b-480b-bf23-a33d990dd89f",
"Href": "http://webapihelppage2.com",
"Height": 1.1,
"Width": 1.1,
"Md5Checksum": "sample string 3",
"Name": "sample string 4",
"MimeType": "sample string 5"
},
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateCode": "sample string 4",
"CountryCode": "sample string 5",
"Zip": "sample string 6"
},
"PhoneNumbers": [
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
},
{
"Number": "sample string 1",
"Extension": "sample string 2",
"Type": "sample string 3"
}
],
"JobTitle": "sample string 11",
"Attributes": {
"Department": "sample string 1",
"BadgeId": 2
},
"Version": 12
}
Models
UserPicture
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Href | URI | None. | |
| Height | decimal number | None. | |
| Width | decimal number | None. | |
| Md5Checksum | string | None. | |
| Name | string | None. | |
| MimeType | string | None. |
UserAddress
| Name | Description | Type | Additional information |
|---|---|---|---|
| AddressLine1 | string | None. | |
| AddressLine2 | string | None. | |
| City | string | None. | |
| StateCode | string | None. | |
| CountryCode | string | None. | |
| Zip | string | None. |
UserPhoneNumber
| Name | Description | Type | Additional information |
|---|---|---|---|
| Number | string | None. | |
| Extension | string | None. | |
| Type | string | None. |
UserAttributes
| Name | Description | Type | Additional information |
|---|---|---|---|
| Department | string | None. | |
| BadgeId | integer | None. |
Security Roles
List Security Roles
GET v1/Entities({CompanyId})/SecurityRoles
Returns All the Security Roles in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Entities({CompanyId})/SecurityRoles
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Security Roles in a Company
Collection of GetSecurityRolesByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| SecurityModelVersion | integer | None. | |
| IsCrossEntity | boolean | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"Name": "sample string 1",
"SecurityModelVersion": 2,
"IsCrossEntity": true
},
{
"Id": 1,
"Name": "sample string 1",
"SecurityModelVersion": 2,
"IsCrossEntity": true
}
]
List User's Security Roles
GET v1/Users({UserId})/AssignedRoles
Returns All the Security Roles for a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Users({UserId})/AssignedRoles
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id for which you want Security Roles | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Security Roles for a User
Collection of GetSecurityRolesByUserReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | This is the Security Role Assignment Id | integer | None. |
| UserId | integer | None. | |
| SecurityRoleId | integer | None. | |
| EntityId | integer | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"UserId": 2,
"SecurityRoleId": 3,
"EntityId": 4
},
{
"Id": 1,
"UserId": 2,
"SecurityRoleId": 3,
"EntityId": 4
}
]
List Permissions
GET v1/Entities({CompanyId})/Permissions
Returns All the Permissions in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1//Entities({CompanyId})/Permissions
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Permissions in a Company
Collection of GetPermissionsByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| IsAssignable | boolean | None. | |
| Id | integer | None. | |
| Code | string | None. | |
| Name | string | None. | |
| Description | string | None. | |
| Category | string | None. | |
| ParentPermissionId | integer | None. |
Response Formats
application/json, text/json
[
{
"IsAssignable": true,
"Id": 2,
"Code": "sample string 3",
"Name": "sample string 4",
"Description": "sample string 5",
"Category": "sample string 6",
"ParentPermissionId": 1
},
{
"IsAssignable": true,
"Id": 2,
"Code": "sample string 3",
"Name": "sample string 4",
"Description": "sample string 5",
"Category": "sample string 6",
"ParentPermissionId": 1
}
]
List Security Role Permissions
GET v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions
Returns All the Permissions for a Security Role in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| SecurityRoleId | The Security Role Id for which you want Permissions | integer | Required |
Body Parameters
None.
Response Information
Resource Description
All the Permissions for a Security Role in a Compnay
Collection of GetPermissionsforSecurityRoleReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Code | string | None. | |
| Name | string | None. | |
| Description | string | None. | |
| Category | string | None. | |
| ParentPermissionId | integer | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"Code": "sample string 2",
"Name": "sample string 3",
"Description": "sample string 4",
"Category": "sample string 5",
"ParentPermissionId": 1
},
{
"Id": 1,
"Code": "sample string 2",
"Name": "sample string 3",
"Description": "sample string 4",
"Category": "sample string 5",
"ParentPermissionId": 1
}
]
Create Security Role
POST v1/Entities({CompanyId})/SecurityRoles
Create a Security Role in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Entities({CompanyId})/SecurityRoles
Example of the Body of the Call:
{ "Name": "API Test User" }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
Body Parameters
Name of Security Role - See Example
CreateSecurityRolePost
| Name | Description | Type | Additional information |
|---|---|---|---|
| Name | Name of the Security Role | string | None. |
Request Formats
application/json, text/json
{
"Name": "sample string 1"
}
Response Information
Resource Description
The Created Security Role in a Company
CreateSecurityRoleReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | This is the SecurityRoleId | integer | None. |
| Name | string | None. | |
| SecurityModelVersion | integer | None. | |
| IsCrossEntity | boolean | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"Name": "sample string 2",
"SecurityModelVersion": 3,
"IsCrossEntity": true
}
Delete Security Role
DELETE v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})
Delete a Security Role in a Company
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| SecurityRoleId | The Security Role Id for which you want to Delete | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Enable Security Role Permission
PUT v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions({PermissionId})
Enable a Permission for a Security Role
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1//Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions({PermissionId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| SecurityRoleId | The Security Role Id for which you want to Enable a Permission | integer | Required |
| PermissionId | The Permission Id that you want to Enable | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Disable Security Role Permission
DELETE v1/Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions({PermissionId})
Disable a Permission for a Security Role
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1//Entities({CompanyId})/SecurityRoles({SecurityRoleId})/Permissions({PermissionId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| SecurityRoleId | The Security Role Id for which you want to Enable a Permission | integer | Required |
| PermissionId | The Permission Id that you want to Enable | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
Assign Security Role to User
POST v1/Users({UserId})/AssignedRoles
Assign a Security Role to a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Users({UserId})/AssignedRoles
Example of the Body of the Call:
{ "EntityId": "94448", "SecurityRoleId": 200471 }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id for which you want Security Roles Assigned | integer | Required |
Body Parameters
Company Id and Security Role - See Example
AssignSecurityRolePost
| Name | Description | Type | Additional information |
|---|---|---|---|
| EntityId | integer | None. | |
| SecurityRoleId | integer | None. |
Request Formats
application/json, text/json
{
"EntityId": 1,
"SecurityRoleId": 2
}
Response Information
Resource Description
The Assiged Security Role to a User with the Security Role Assignment Id as the Id
AssignSecurityRoleReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | This is the Security Role Assignment Id | integer | None. |
| UserId | integer | None. | |
| SecurityRoleId | integer | None. | |
| EntityId | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"UserId": 2,
"SecurityRoleId": 3,
"EntityId": 4
}
Unassign Security Role from User
DELETE v1/Users({UserId})/AssignedRoles({SecurityRoleAssignmentId})
Unassign a Security Role from a User
Base URL:
https://api.covasoft.net/usermanager
Example of a call would be:
https://api.covasoft.net/usermanager/v1/Users({UserId})/AssignedRoles({SecurityRoleAssignmentId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | The User Id for which you want Security Roles Unassigned | integer | Required |
| SecurityRoleAssignmentId | The Security Role Assignment Id shown as the Id In API Calls for Security Roles | integer | Required |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |